﻿@using SaintGobin.Common
@model  List<User>
<!DOCTYPE html>
<html lang="en">
<head>
    <!-- META SECTION -->
    <title>User List</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="icon" href="favicon.ico" type="image/x-icon" />
</head>
<body>
    <!-- START PAGE CONTAINER -->
    <div class="page-container">
        <div class="page-content">
            <ul class="breadcrumb">
                <li><a href="@Url.Action("Index", "Home")">Home</a></li>
                @*<li><a href="#">Pages</a></li>*@
                <li class="active">User List</li>
            </ul>
            <!-- END BREADCRUMB -->
            <!-- PAGE TITLE -->
            <div class="page-title">
                @*<h2 style="padding: 0px 0px 0px 15px;">
                        <span class="fa fa-users"></span> Contact List

                    </h2>*@
                <h2 style="padding: 0px 0px 0px 15px;">
                    User List
                </h2>
            </div>
            <!-- END PAGE TITLE -->
            <!-- PAGE CONTENT WRAPPER -->
            <div class="page-content-wrap">


                <div class="box box-info">


                    <div class="panel panel-default">

                        <div class="panel-heading" style="padding:1px 15px; ">

                            <div>
                            </div>
                            <div id="contact-lists">
                                <div style="list-style: none;" class="list-group" id="itemContainer">

                                    <table class="display" id="example" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th>Contact</th>


                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>
                                                    @for (int i = 0; i < Model.Count(); i++)
                                                    {

                                                        <div class="list-group-item">

                                                            <div class="row-fluid user-row">
                                                                <div class="span1">
                                                                    <img class="img-circle"
                                                                         src="https://lh5.googleusercontent.com/-b0-k99FZlyE/AAAAAAAAAAI/AAAAAAAAAAA/eu7opA4byxI/photo.jpg?sz=50"
                                                                         alt="User Pic">
                                                                </div>
                                                                <div class="span8">
                                                                    <strong>@Model[i].firstname.ToString().PadRight(10) @Model[i].middlename.ToString().PadRight(10) @Model[i].lastname </strong><br>
                                                                </div>
                                                                <div class="span2">
                                                                    <button onclick="GetDetails(@Model[i].User_id.ToString())" class="btn btn-primary" type="button"
                                                                            data-toggle="tooltip"
                                                                            data-original-title="View Contact Details">
                                                                        <i class="fa fa-list"></i>
                                                                    </button>
                                                                    <button onclick="GetCallLog(@Model[i].User_id.ToString())" class="btn btn-primary" type="button"
                                                                            data-toggle="tooltip"
                                                                            data-original-title="View CallLog Details">
                                                                        <i class="fa fa-phone"></i>
                                                                    </button>

                                                                </div>
                                                                <div class="span1 dropdown-user" style="margin:0px;" data-for=".@Model[i].User_id.ToString()">
                                                                    <i class="icon-chevron-down text-muted"></i>
                                                                </div>
                                                            </div>

                                                            <div class="row-fluid user-infos @Model[i].User_id.ToString()">
                                                                <div class="span10 offset1">
                                                                    <div class="panel panel-primary">
                                                                        <div class="panel-heading">
                                                                            <h3 class="panel-title">@Model[i].firstname.ToString().PadRight(10) @Model[i].middlename.ToString().PadRight(10) @Model[i].lastname</h3>
                                                                        </div>
                                                                        <div class="panel-body">

                                                                            <div class="row-fluid">
                                                                                <div id="@Model[i].User_id" class="span3">

                                                                                </div>
                                                                                <div class="span6">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td>
                                                                                                <table class="table table-condensed table-responsive table-user-information">
                                                                                                    <tbody>
                                                                                                        <tr>
                                                                                                            <td>Name:</td>
                                                                                                            <td onclick="GetDetails(@Model[i].User_id.ToString())">@Model[i].firstname.ToString().PadRight(10) @Model[i].middlename.ToString().PadRight(10) @Model[i].lastname</td>
                                                                                                        </tr>
                                                                                                        <tr>
                                                                                                            <td>Date of Joining:</td>
                                                                                                            <td>@Model[i].date_of_joining</td>
                                                                                                        </tr>
                                                                                                        <tr>
                                                                                                            <td>Reporting ID</td>
                                                                                                            <td>@Model[i].reporting_person_id </td>
                                                                                                        </tr>
                                                                                                        <tr>
                                                                                                            <td>Reporting Person</td>
                                                                                                            <td>@Model[i].reporting_person</td>
                                                                                                        </tr>
                                                                                                        <tr>
                                                                                                            <td>Zone</td>
                                                                                                            <td>@Model[i].zone</td>
                                                                                                        </tr>
                                                                                                        <tr >
                                                                                                            <td>SGID</td>
                                                                                                            <td>@Model[i].SGID</td>
                                                                                                        </tr>
                                                                                                        <tr style="display:none">
                                                                                                            <td>@Model[i].User_id</td>
                                                                                                        </tr>
                                                                                                    </tbody>
                                                                                                </table>

                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                                </div>
                                                                            </div>

                                                                        </div>
                                                                        
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>

                                                    }
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>


                                </div>


                                <div class="holder">
                                </div>

                                <p id="legend1">
                                </p>
                            </div>
                        </div>
                    </div>


                </div>

            </div>
            <!-- END PAGE CONTENT WRAPPER -->
        </div>
</body>
</html>

@section scripts{

<link href="~/Content/bootstrap-combined.min.css" rel="stylesheet" />
<link href="~/Content/custom.css" rel="stylesheet" />
<link href="~/Content/animate.css" rel="stylesheet" type="text/css" />
<script src="@Url.Content("~/Scripts/Lib/jquery.dataTables.min.js")"></script>
<script src="@Url.Content("~/Scripts/Lib/dataTables.select.min.js")"></script>
    <script>
      

        function GetDetails(x)
        {
            location.href = '@Url.Action("GetContactOnUser", "Contacts")?user_id='+parseInt(x);
        }

        function GetCallLog(x) {
            location.href = '@Url.Action("CalllogHistory", "Contacts")?user_id=' + parseInt(x);
        }


        //$(document).ready(function () {
            var panels = $('.user-infos');
            var panelsButton = $('.dropdown-user');
            panels.hide();

            //Click dropdown
            panelsButton.click(function () {
                //get data-for attribute
                var dataFor = $(this).attr('data-for');
                var idFor = $(dataFor);

                //current button
                var currentButton = $(this);
                idFor.slideToggle(400, function () {
                    //Completed slidetoggle
                    if (idFor.is(':visible')) {
                        currentButton.html('<i class="icon-chevron-up text-muted"></i>');
                    }
                    else {
                        currentButton.html('<i class="icon-chevron-down text-muted"></i>');
                    }
                })
            });


            $('[data-toggle="tooltip"]').tooltip();


            

            //$('#search').keyup(function () {
            //    var valThis = $(this).val().toLowerCase();

            //    if (valThis == "") {
            //        $('.list-group  > li').show();
            //    }
            //    else {
            //        $('.list-group > li').each(function () {
            //            var text = $(this).text().toLowerCase();
            //            (text.indexOf(valThis) >= 0) ? $(this).show() : $(this).hide();
            //        });
            //    };
            //});




            //$(function () {

            //    $('#contact-list').easyPaginate
            //        ({
            //            elementsPerPage: 2,
            //            effect: 'climb',
            //        });
            //});


            $(document).ready(function () {
                var oTable = $('#example').DataTable({
                    "iDisplayLength": 10, //Add Defa
                    //"dom": '<"top"lfi<"clear">>rt<"bottom"p<"clear">>'
                });//Initiate DataTable
            });
           
    </script>

}
<style>

</style> 